/**
 * 
 */
package com.fp.alfresco.auth;

/**
 * Clase que maneja la autenticaci&oacute;n y acceso al repositorio de Alfresco mediante webscripts
 * @author bpt
 *
 */
public abstract class Authentication {

    protected String user;

    protected String password;

    protected String ticket;

    /**
     * M&acute;todo principal que maneja la forma en que se autenticar&aacute; el API hacia el repositorio de Alfresco mediante webscripts
     * @return
     */
    public abstract boolean authenticate();

    /**
     * @return Retorna el atributo user
     */
    public String getUser() {
	return this.user;
    }

    /**
     * @param user Par&aacute;metro a fijar en el atributo user
     */
    public void setUser(String user) {
	this.user = user;
    }

    /**
     * @return Retorna el atributo password
     */
    public String getPassword() {
	return this.password;
    }

    /**
     * @param password Par&aacute;metro a fijar en el atributo password
     */
    public void setPassword(String password) {
	this.password = password;
    }

    /**
     * @return Retorna el atributo ticket
     */
    public String getTicket() {
	return this.ticket;
    }

    /**
     * @param ticket Par&aacute;metro a fijar en el atributo ticket
     */
    public void setTicket(String ticket) {
	this.ticket = ticket;
    }


}
